<div class="container">
    <div class="col-sm-8 col-sm-offset2">
        <form (ngSubmit)="onSubmit()" [formGroup]="actorForm">
            <div class="form-group">
                <label for="first_name">
                    firstname
                </label>
                <input type="text" id="first_name" class="form-control" placeholder="firstname" [formControl]="firstnameCtl">
                <small class="text-danger" *ngIf="firstnameCtl.hasError('required')"> required </small>
            </div>
            <div class="form-group">
                <label for="last_name">
                    lastname
                </label>
                <input type="text" id="last_name" class="form-control" placeholder="lastname" [formControl]="lastnameCtl">
                <small class="text-danger" *ngIf="lastnameCtl.hasError('required')"> require </small>
            </div>
            <button class="btn btn-primary" type="submit" [disabled]="actorForm.invalid"> save </button>
        </form>
    </div>
</div>